PETSc version 3.15.5
Fix/Edit manual page

# PetscLogStageRegister

Attaches a character string name to a logging stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogStageRegister(const char sname[],PetscLogStage *stage)

Not Collective

### Input Parameter

| sname | - The name to associate with that stage

### Output Parameter

| stage | - The stage number

### See Also

PetscLogStagePush(), PetscLogStagePop()

### Level

intermediate

### Location

src/sys/logging/plog.c

### Examples

src/vec/vec/tutorials/performance.c.html
src/ksp/pc/tutorials/ex3.c.html
src/ksp/ksp/tutorials/ex5.c.html
src/ksp/ksp/tutorials/ex9.c.html
src/ksp/ksp/tutorials/ex18.c.html
src/ksp/ksp/tutorials/ex29.c.html
src/ksp/ksp/tutorials/ex46.c.html
src/ksp/ksp/tutorials/ex52.c.html
src/ksp/ksp/tutorials/ex54.c.html
src/ksp/ksp/tutorials/ex55.c.html
src/ksp/ksp/tutorials/ex56.c.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages